Loading...
Searching...
No Matches
CxxTest::CommonDynamicSuiteDescription Class Reference

`#include <RealDescriptions.h>`

## Public Member Functions

| CommonDynamicSuiteDescription ()
| CommonDynamicSuiteDescription (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests, unsigned argCreateLine, unsigned argDestroyLine)
void | initialize (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests, unsigned argCreateLine, unsigned argDestroyLine)
Public Member Functions inherited from CxxTest::RealSuiteDescription
| RealSuiteDescription ()
| RealSuiteDescription (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
void | initialize (const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
const char * | file () const
unsigned | line () const
const char * | suiteName () const
TestDescription * | firstTest ()
const TestDescription * | firstTest () const
SuiteDescription * | next ()
const SuiteDescription * | next () const
unsigned | numTests () const
const TestDescription & | testDescription (unsigned i) const
void | activateAllTests ()
bool | leaveOnly (const char *testName)
Public Member Functions inherited from CxxTest::SuiteDescription
virtual | ~SuiteDescription ()
virtual TestSuite * | suite () const =0
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
virtual bool | setUp ()=0
virtual bool | tearDown ()=0
void | attach (List &l)
void | detach (List &l)

## Protected Attributes

unsigned | _createLine
unsigned | _destroyLine

## Private Member Functions

void | doInitialize (unsigned argCreateLine, unsigned argDestroyLine)

## Detailed Description

Definition at line 107 of file RealDescriptions.h.

## Constructor & Destructor Documentation

## CommonDynamicSuiteDescription() [1/2]

CxxTest::CommonDynamicSuiteDescription::CommonDynamicSuiteDescription | ( |  | ) |

Definition at line 185 of file RealDescriptions.cpp.

{}

## CommonDynamicSuiteDescription() [2/2]

CxxTest::CommonDynamicSuiteDescription::CommonDynamicSuiteDescription | ( | const char * | argFile,
|  | unsigned | argLine,
|  | const char * | argSuiteName,
|  | List & | argTests,
|  | unsigned | argCreateLine,
|  | unsigned | argDestroyLine )

Definition at line 186 of file RealDescriptions.cpp.

:
RealSuiteDescription( argFile, argLine, argSuiteName, argTests )
{
doInitialize( argCreateLine, argDestroyLine );
}
CxxTest::CommonDynamicSuiteDescription::doInitialize
void doInitialize(unsigned argCreateLine, unsigned argDestroyLine)
Definition RealDescriptions.cpp:202
CxxTest::RealSuiteDescription::RealSuiteDescription
RealSuiteDescription()
Definition RealDescriptions.cpp:101

## Member Function Documentation

## doInitialize()

void CxxTest::CommonDynamicSuiteDescription::doInitialize | ( | unsigned | argCreateLine,
|  | unsigned | argDestroyLine )

private

Definition at line 202 of file RealDescriptions.cpp.

{
_createLine = argCreateLine;
_destroyLine = argDestroyLine;
}
CxxTest::CommonDynamicSuiteDescription::_createLine
unsigned _createLine
Definition RealDescriptions.h:120
CxxTest::CommonDynamicSuiteDescription::_destroyLine
unsigned _destroyLine
Definition RealDescriptions.h:120

## initialize()

void CxxTest::CommonDynamicSuiteDescription::initialize | ( | const char * | argFile,
|  | unsigned | argLine,
|  | const char * | argSuiteName,
|  | List & | argTests,
|  | unsigned | argCreateLine,
|  | unsigned | argDestroyLine )

Definition at line 194 of file RealDescriptions.cpp.

{
RealSuiteDescription::initialize( argFile, argLine, argSuiteName, argTests );
doInitialize( argCreateLine, argDestroyLine );
}
CxxTest::RealSuiteDescription::initialize
void initialize(const char *argFile, unsigned argLine, const char *argSuiteName, List &argTests)
Definition RealDescriptions.cpp:110

## Field Documentation

## _createLine

unsigned CxxTest::CommonDynamicSuiteDescription::_createLine

protected

Definition at line 120 of file RealDescriptions.h.

## _destroyLine

unsigned CxxTest::CommonDynamicSuiteDescription::_destroyLine

protected

Definition at line 120 of file RealDescriptions.h.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/RealDescriptions.h
- libpolys/tests/cxxtest/RealDescriptions.cpp